summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/cronie/README29
-rw-r--r--system/cronie/cronie.SlackBuild114
-rw-r--r--system/cronie/cronie.info10
-rw-r--r--system/cronie/doinst.sh11
-rw-r--r--system/cronie/slack-desc19
5 files changed, 183 insertions, 0 deletions
diff --git a/system/cronie/README b/system/cronie/README
new file mode 100644
index 0000000000..0494ca1eea
--- /dev/null
+++ b/system/cronie/README
@@ -0,0 +1,29 @@
+Cronie contains the standard UNIX daemon crond that runs specified programs
+at scheduled times and related tools. It is based on the original cron and
+has security and configuration enhancements like the ability to use pam
+and SELinux.
+
+By default this SlackBuild will include anacron in the package. If you do want
+this, pass ANACRON=no to the SlackBuild.
+
+Note that Slackware has dcron - Dillon's Cron daemon. This package will
+conflict with this package. It is advised to remove dcron before installing
+cronie:
+
+ Stop the dcron daemon:
+ # ps x | grep cron
+ # kill <cron_pid>
+ Remove the dcron package:
+ # removepkg dcron
+ # rm -rf /var/spool/cron
+
+Slackware's boot script assumes that you have dcron and thus has to be
+modified:
+
+Change this line in /etc/rc.d/rc.M
+
+ /usr/sbin/crond -l notice
+
+to:
+
+ /usr/sbin/crond
diff --git a/system/cronie/cronie.SlackBuild b/system/cronie/cronie.SlackBuild
new file mode 100644
index 0000000000..529e40cc31
--- /dev/null
+++ b/system/cronie/cronie.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Slackware build script for cronie
+
+# Copyright 2012 Chris Abela, Malta
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cronie
+VERSION=${VERSION:-1.4.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Enable anacron by default
+[ "$ANACRON" = no ] && unset ANACRONFLAG || ANACRONFLAG="--enable-anacron"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ "$ANACRONFLAG"
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/etc/cron.d # The absence of this directory would be logged
+
+# These will allow non-privileged users to run crontab
+chmod 4755 $PKG/usr/bin/crontab
+touch $PKG/etc/cron.deny.new
+chmod 600 $PKG/etc/cron.deny.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cronie/cronie.info b/system/cronie/cronie.info
new file mode 100644
index 0000000000..17b93a5cb8
--- /dev/null
+++ b/system/cronie/cronie.info
@@ -0,0 +1,10 @@
+PRGNAM="cronie"
+VERSION="1.4.8"
+HOMEPAGE="https://fedorahosted.org/cronie/"
+DOWNLOAD="https://fedorahosted.org/releases/c/r/cronie/cronie-1.4.8.tar.gz"
+MD5SUM="9b1d2ce6db8d1883e06635f437170657"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Chris Abela"
+EMAIL="kristofru@gmail.com"
+APPROVED="dsomero"
diff --git a/system/cronie/doinst.sh b/system/cronie/doinst.sh
new file mode 100644
index 0000000000..542e2e7b90
--- /dev/null
+++ b/system/cronie/doinst.sh
@@ -0,0 +1,11 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+config etc/cron.deny.new
diff --git a/system/cronie/slack-desc b/system/cronie/slack-desc
new file mode 100644
index 0000000000..335f577b0a
--- /dev/null
+++ b/system/cronie/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cronie: Cronie (The standard UNIX cron daemon)
+cronie:
+cronie: Cronie contains the standard UNIX daemon crond that runs specified
+cronie: programs at scheduled times and related tools. It is based on the
+cronie: original cron and has security and configuration enhancements like the
+cronie: ability to use pam and SELinux.
+cronie:
+cronie: Homepage: http://freecode.com/projects/dcron
+cronie:
+cronie:
+cronie: